Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

There is no such library libX11* included in tar or deb and my system is up to date.

(+1)

It may be easier for you to use the Windows installer with Wine or Proton. I know it does work based on past reports.

Unfortunately I cannot say specifically what could work for you on your Linux install. This version of FS was made a long time ago and we don't have the ability to update it anymore. We use Defold now with our new games which is much easier to support most Linux versions without issue.